Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78622 - (FS RAMFS)ramfs dind't clean memory after delete files
Summary: (FS RAMFS)ramfs dind't clean memory after delete files
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.2
Hardware: athlon
OS: Linux
medium
low
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-26 16:34 UTC by Need Real Name
Modified: 2008-08-01 16:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:15 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-11-26 16:34:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; T312461)

Description of problem:
After upgrade the kernel to kernel-smp-2.4.18-18.7.x.athlon.rpm in a RH 7.2, 
and  kernel-smp-2.4.18-17.7.x.athlon.rpm in a RH 7.3. The ramfs didn't work 
well. If I deleted the files in ramfs mount point, the mount have the same used 
size.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. mount -t /dev/ram /mnt/ramdisk -o maxsize=28000
2. cp /tmp/* /mnt/ramdisk
3. df
4. "/dev/ram      28000      4184     23816  15% /mnt/ramdisk"
5. rm -rf /mnt/ramdisk/*
6. df 
7. "/dev/ram      28000      4184     23816  15% /mnt/ramdisk"


Actual Results:  After I deleted the files in a ramfs mount point, the used 
size didn't decrease. Intead, the used size increase to empty the left space.

Expected Results:  I expexted the ramfs decrease the used size after I deleted 
some files.

Additional info:

Plataforms:

Athlon (dual) with Red Hat 7.2 instalation: updgrade from kernel-2.4.9-
34.athlon.rpm to kernel-smp-2.4.18-18.7.x.athlon.rpm. The ramfs worked fine 
with Kernel 2.4.9-34

Athlon with Red Hat 7.3 instalation: upgrade from kernel-2.4.18-10.athlon.rpm 
to kernel-2.4.18-17.7.x.athlon.rpm. I didn't test the ramfs in Kernel 2.4.18-10 
enviroment, only in 2.4.18-17.7.x

Comment 1 Bugzilla owner 2004-09-30 15:40:15 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.